<?xml version="1.0" encoding="utf-8"?>
<linkbase xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://www.xbrl.org/2003/linkbase">
  <labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended" xmlns:xlink="http://www.w3.org/1999/xlink">
    <loc xlink:type="locator" xlink:href="8156006C71E895860132-2023-12-31.xsd#sanlorenzo_EquityInvestmentsAndOtherNonCurrentAssets" xlink:label="sanlorenzo_EquityInvestmentsAndOtherNonCurrentAssets" />
    <loc xlink:type="locator" xlink:href="8156006C71E895860132-2023-12-31.xsd#sanlorenzo_OtherReservesAndRetainedEarnings" xlink:label="sanlorenzo_OtherReservesAndRetainedEarnings" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_RevenueAndOperatingIncome" xlink:label="ifrs-full_RevenueAndOperatingIncome" />
    <loc xlink:type="locator" xlink:href="8156006C71E895860132-2023-12-31.xsd#sanlorenzo_Outsourcing" xlink:label="sanlorenzo_Outsourcing" />
    <loc xlink:type="locator" xlink:href="8156006C71E895860132-2023-12-31.xsd#sanlorenzo_ProvisionsForRiskAndCharges" xlink:label="sanlorenzo_ProvisionsForRiskAndCharges" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OperatingExpense" xlink:label="ifrs-full_OperatingExpense" />
    <loc xlink:type="locator" xlink:href="8156006C71E895860132-2023-12-31.xsd#sanlorenzo_ProfitLossFromOperatingActivitiesBeforeAmortisationAndDepreciation" xlink:label="sanlorenzo_ProfitLossFromOperatingActivitiesBeforeAmortisationAndDepreciation" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_FinanceIncomeCost" xlink:label="ifrs-full_FinanceIncomeCost" />
    <loc xlink:type="locator" xlink:href="8156006C71E895860132-2023-12-31.xsd#sanlorenzo_OtherReservesAndRetainedEarningsMember" xlink:label="sanlorenzo_OtherReservesAndRetainedEarningsMember" />
    <loc xlink:type="locator" xlink:href="8156006C71E895860132-2023-12-31.xsd#sanlorenzo_RisultatoDelPeriodoMember" xlink:label="sanlorenzo_RisultatoDelPeriodoMember" />
    <loc xlink:type="locator" xlink:href="8156006C71E895860132-2023-12-31.xsd#sanlorenzo_AdjustmentsForDecreaseIncreaseInContractLiabilities" xlink:label="sanlorenzo_AdjustmentsForDecreaseIncreaseInContractLiabilities" />
    <loc xlink:type="locator" xlink:href="8156006C71E895860132-2023-12-31.xsd#sanlorenzo_AdjustmentsForIncreaseDecreaseInProvisionsForRisksAndChargesAndEmployeeBenefitLiabilities" xlink:label="sanlorenzo_AdjustmentsForIncreaseDecreaseInProvisionsForRisksAndChargesAndEmployeeBenefitLiabilities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperations" xlink:label="ifrs-full_CashFlowsFromUsedInOperations" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInOperatingActivities" />
    <loc xlink:type="locator" xlink:href="8156006C71E895860132-2023-12-31.xsd#sanlorenzo_VariazioneAltrePartecipazioniEAltreAttivitaNonCorrenti" xlink:label="sanlorenzo_VariazioneAltrePartecipazioniEAltreAttivitaNonCorrenti" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInInvestingActivities" />
    <loc xlink:type="locator" xlink:href="8156006C71E895860132-2023-12-31.xsd#sanlorenzo_VariazioniDiAltreAttivitaFinanziarieEPassivitaFinanziarieInclusiStrumentiDerivati" xlink:label="sanlorenzo_VariazioniDiAltreAttivitaFinanziarieEPassivitaFinanziarieInclusiStrumentiDerivati" />
    <loc xlink:type="locator" xlink:href="8156006C71E895860132-2023-12-31.xsd#sanlorenzo_OtherChangesInEquity" xlink:label="sanlorenzo_OtherChangesInEquity" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInFinancingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:label="ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" />
    <labelArc xlink:type="arc" xlink:from="sanlorenzo_EquityInvestmentsAndOtherNonCurrentAssets" xlink:to="label_sanlorenzo_sanlorenzoEquityInvestmentsAndOtherNonCurrentAssets_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="sanlorenzo_OtherReservesAndRetainedEarnings" xlink:to="label_sanlorenzo_sanlorenzoOtherReservesAndRetainedEarnings_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_RevenueAndOperatingIncome" xlink:to="label_sanlorenzo_ifrs-fullRevenueAndOperatingIncome_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="sanlorenzo_Outsourcing" xlink:to="label_sanlorenzo_sanlorenzoOutsourcing_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="sanlorenzo_ProvisionsForRiskAndCharges" xlink:to="label_sanlorenzo_sanlorenzoProvisionsForRiskAndCharges_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_OperatingExpense" xlink:to="label_sanlorenzo_ifrs-fullOperatingExpense_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="sanlorenzo_ProfitLossFromOperatingActivitiesBeforeAmortisationAndDepreciation" xlink:to="label_sanlorenzo_sanlorenzoProfitLossFromOperatingActivitiesBeforeAmortisationAndDepreciation_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_FinanceIncomeCost" xlink:to="label_sanlorenzo_ifrs-fullFinanceIncomeCost_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="sanlorenzo_OtherReservesAndRetainedEarningsMember" xlink:to="label_sanlorenzo_OtherReservesAndRetainedEarningsMember" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="sanlorenzo_RisultatoDelPeriodoMember" xlink:to="label_sanlorenzo_RisultatoDelPeriodoMember" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="sanlorenzo_AdjustmentsForDecreaseIncreaseInContractLiabilities" xlink:to="label_sanlorenzo_sanlorenzoAdjustmentsForDecreaseIncreaseInContractLiabilities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="sanlorenzo_AdjustmentsForIncreaseDecreaseInProvisionsForRisksAndChargesAndEmployeeBenefitLiabilities" xlink:to="label_sanlorenzo_sanlorenzoAdjustmentsForIncreaseDecreaseInProvisionsForRisksAndChargesAndEmployeeBenefitLiabilities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInOperations" xlink:to="label_sanlorenzo_ifrs-fullCashFlowsFromUsedInOperations_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:to="label_sanlorenzo_ifrs-fullCashFlowsFromUsedInOperatingActivities_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="sanlorenzo_VariazioneAltrePartecipazioniEAltreAttivitaNonCorrenti" xlink:to="label_sanlorenzo_sanlorenzoVariazioneAltrePartecipazioniEAltreAttivitaNonCorrenti_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="label_sanlorenzo_ifrs-fullCashFlowsFromUsedInInvestingActivities_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="sanlorenzo_VariazioniDiAltreAttivitaFinanziarieEPassivitaFinanziarieInclusiStrumentiDerivati" xlink:to="label_sanlorenzo_sanlorenzoVariazioniDiAltreAttivitaFinanziarieEPassivitaFinanziarieInclusiStrumentiDerivati_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="sanlorenzo_OtherChangesInEquity" xlink:to="label_sanlorenzo_sanlorenzoOtherChangesInEquity_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="label_sanlorenzo_ifrs-fullCashFlowsFromUsedInFinancingActivities_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:to="label_sanlorenzo_ifrs-fullIncreaseDecreaseInCashAndCashEquivalents_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <label xlink:label="label_sanlorenzo_sanlorenzoEquityInvestmentsAndOtherNonCurrentAssets_Standard" id="sanlorenzo_sanlorenzoEquityInvestmentsAndOtherNonCurrentAssets_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="it">Partecipazioni e altre attività non correnti</label>
    <label xlink:label="label_sanlorenzo_sanlorenzoOtherReservesAndRetainedEarnings_Standard" id="sanlorenzo_sanlorenzoOtherReservesAndRetainedEarnings_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="it">Altre riserve</label>
    <label xlink:label="label_sanlorenzo_ifrs-fullRevenueAndOperatingIncome_Total" id="sanlorenzo_ifrs-fullRevenueAndOperatingIncome_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="it">Totale ricavi e proventi netti</label>
    <label xlink:label="label_sanlorenzo_sanlorenzoOutsourcing_Standard" id="sanlorenzo_sanlorenzoOutsourcing_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="it">Costi per lavorazioni esterne</label>
    <label xlink:label="label_sanlorenzo_sanlorenzoProvisionsForRiskAndCharges_Standard" id="sanlorenzo_sanlorenzoProvisionsForRiskAndCharges_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="it">Stanziamenti a fondi per rischi e oneri</label>
    <label xlink:label="label_sanlorenzo_ifrs-fullOperatingExpense_Total" id="sanlorenzo_ifrs-fullOperatingExpense_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="it">Totale costi operativi</label>
    <label xlink:label="label_sanlorenzo_sanlorenzoProfitLossFromOperatingActivitiesBeforeAmortisationAndDepreciation_Standard" id="sanlorenzo_sanlorenzoProfitLossFromOperatingActivitiesBeforeAmortisationAndDepreciation_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="it">Risultato operativo prima degli ammortamenti</label>
    <label xlink:label="label_sanlorenzo_ifrs-fullFinanceIncomeCost_Total" id="sanlorenzo_ifrs-fullFinanceIncomeCost_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="it">Proventi/(Oneri) finanziari netti</label>
    <label xlink:label="label_sanlorenzo_OtherReservesAndRetainedEarningsMember" id="sanlorenzo_OtherReservesAndRetainedEarningsMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="it">Altre riserve e utili portati a nuovo</label>
    <label xlink:label="label_sanlorenzo_RisultatoDelPeriodoMember" id="sanlorenzo_RisultatoDelPeriodoMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="it">Risultato del periodo</label>
    <label xlink:label="label_sanlorenzo_sanlorenzoAdjustmentsForDecreaseIncreaseInContractLiabilities_Standard" id="sanlorenzo_sanlorenzoAdjustmentsForDecreaseIncreaseInContractLiabilities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="it">Passività derivanti da contratto</label>
    <label xlink:label="label_sanlorenzo_sanlorenzoAdjustmentsForIncreaseDecreaseInProvisionsForRisksAndChargesAndEmployeeBenefitLiabilities_Standard" id="sanlorenzo_sanlorenzoAdjustmentsForIncreaseDecreaseInProvisionsForRisksAndChargesAndEmployeeBenefitLiabilities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="it">Fondi rischi ed oneri e fondi relativi al personale</label>
    <label xlink:label="label_sanlorenzo_ifrs-fullCashFlowsFromUsedInOperations_Total" id="sanlorenzo_ifrs-fullCashFlowsFromUsedInOperations_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="it">Disponibilità liquide generate dall’attività operativa</label>
    <label xlink:label="label_sanlorenzo_ifrs-fullCashFlowsFromUsedInOperatingActivities_Total" id="sanlorenzo_ifrs-fullCashFlowsFromUsedInOperatingActivities_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="it">Disponibilità liquide nette generate dall’attività operativa</label>
    <label xlink:label="label_sanlorenzo_sanlorenzoVariazioneAltrePartecipazioniEAltreAttivitaNonCorrenti_Standard" id="sanlorenzo_sanlorenzoVariazioneAltrePartecipazioniEAltreAttivitaNonCorrenti_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="it">Variazione altre partecipazioni e altre attività non correnti</label>
    <label xlink:label="label_sanlorenzo_ifrs-fullCashFlowsFromUsedInInvestingActivities_Total" id="sanlorenzo_ifrs-fullCashFlowsFromUsedInInvestingActivities_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="it">Disponibilità liquide nette assorbite dall’attività di investimento</label>
    <label xlink:label="label_sanlorenzo_sanlorenzoVariazioniDiAltreAttivitaFinanziarieEPassivitaFinanziarieInclusiStrumentiDerivati_Standard" id="sanlorenzo_sanlorenzoVariazioniDiAltreAttivitaFinanziarieEPassivitaFinanziarieInclusiStrumentiDerivati_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="it">Variazioni di altre attività finanziarie e passività finanziarie inclusi strumenti derivati</label>
    <label xlink:label="label_sanlorenzo_sanlorenzoOtherChangesInEquity_Standard" id="sanlorenzo_sanlorenzoOtherChangesInEquity_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="it">Altre variazioni di patrimonio netto</label>
    <label xlink:label="label_sanlorenzo_ifrs-fullCashFlowsFromUsedInFinancingActivities_Total" id="sanlorenzo_ifrs-fullCashFlowsFromUsedInFinancingActivities_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="it">Disponibilità liquide nette generate/(assorbite) dall’attività di finanziamento</label>
    <label xlink:label="label_sanlorenzo_ifrs-fullIncreaseDecreaseInCashAndCashEquivalents_Total" id="sanlorenzo_ifrs-fullIncreaseDecreaseInCashAndCashEquivalents_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="it">(Decremento)/Incremento netto delle disponibilità liquide e mezzi equivalenti</label>
  </labelLink>
</linkbase>